Bug 986453 - Add swap as soon as possible
Add swap as soon as possible
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
20
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-19 16:28 EDT by Orion Poplawski
Modified: 2015-04-13 12:47 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-04-13 12:47:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2013-07-19 16:28:27 EDT
Description of problem:

I'm trying to install F19 onto a machine with little memory (640MB).  It is running out of memory while trying to format the target filesystem.  This is just after formatting the swap partition but before the swap has been activated.  Perhaps the swap space could be activated immediately after formatting?
 
Version-Release number of selected component (if applicable):
19.30.13-1
Comment 1 David Lehman 2013-07-19 18:05:54 EDT
The ordering of the device creation/formatting operations is determined by topological sorting, so there can be no assurance that swap will be created before any given filesystem.
Comment 2 Fedora End Of Life 2013-09-16 10:39:28 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20

Note You need to log in before you can comment on or make changes to this bug.